Lernilo: Instalu Pakojn .tar.gz kaj .tar.bz2

Komence, kiam ni komencas en Linukso kaj serĉas programon, estas normale, ke ni trovas .deb aŭ .rpm kaj en multaj kazoj ni trovas programojn kun la etendaĵo. .tar.gz y .tar.bz2, ĉi tiuj dosieroj estas kunpremitaj kaj kutime enhavas apartajn instrukciojn por instali ĝin.

La instalado por ĉi tiuj du specoj de pakoj estas tute sama

Unue ni iru al la dosierujo, kie ni havas la dosieron, se la dosierujo havas plurajn vortojn, ni devas meti ilin per "" aŭ se ĝi ne serĉas dosierujojn kun ĉiu vorto.

cd-dosierujo kie troviĝas la dosiero cd "dosierujo kie estas la dosiero"

Interne ni malzipigas la dosieron

tar -zxvf dosiernomo.tar.gz tar -jxvf dosiernomo.tar.bz2

Ni agordas

./konfiguro

Ni ja faras (kompili)

fari

Nun faru instalon

fari instali

Foje ĝi povas doni al ni eraron en ./configure, tiuokaze ĝi ne bezonas kompilaĵon kaj kun plenumado ni havas multe, en fina stacio ni faras

kiel
Rilata artikolo:
Komandoj por koni la sistemon (identigi aparataron kaj iujn programajn agordojn)
programo-nomo

Aŭ ni kreas lanĉilon.


La enhavo de la artikolo aliĝas al niaj principoj de redakcia etiko. Por raporti eraron alklaku Ĉi tie.

102 komentoj, lasu la viajn

Lasu vian komenton

Via retpoŝta adreso ne estos eldonita.

*

*

  1. Respondeculo pri la datumoj: Miguel Ángel Gatón
  2. Celo de la datumoj: Kontrola SPAM, administrado de komentoj.
  3. Legitimado: Via konsento
  4. Komunikado de la datumoj: La datumoj ne estos komunikitaj al triaj krom per laŭleĝa devo.
  5. Stokado de datumoj: Datumbazo gastigita de Occentus Networks (EU)
  6. Rajtoj: Iam ajn vi povas limigi, retrovi kaj forigi viajn informojn.

  1.   moskosov diris

    ve, +1

  2.   taŭga diris

    fakte la ĝusta malŝipado estas
    tar -zxvf file.tar.gz
    tar -jxvf file.tar.bz2

    kaj por agordi estas multego da ebloj (depende de la programaro) por personecigi la instaladon

    ./configure -help

    Per tio ili vidos la malsamajn aldonajn eblojn dum instalado de programo.
    Ne ĉiuj distribuoj uzas / usr / local por instali programojn, tio devas esti menciita ankaŭ.

    Vi forgesis mencii kiel malinstali programon tiel instalitan. Krom difini optimumigojn por ĉiu arkitekturo.

    Ĉiuokaze, bona iniciato sed vi maltrafis multajn ... tro da informoj por dividi.

    salutoj

    1.    kuraĝo diris

      Ĝi estas io, kion mi preskaŭ neniam uzis, plej multajn programojn mi trovas en la oficialaj deponejoj.

      La vero pri malkunpremo estas, ke ĝi ĉiam estis bona por mi tiel.

      Mi verkis ĝin, ĉar ĉiuj, kiuj diras, "kiam vi malzipigas ĝin, legas la instrukciojn" fuŝas min.

      Ĉiuokaze, mi vidas la .tar.gz kiel la lastan rimedon, se estas neniu en la deb / rpm-pako aŭ en la deponejoj.

      1.    taŭga diris

        "La vero estas, ke malkunpremado ĉiam estis bona por mi tiel."
        ni konsentas, mi ne kontestas tion, sed ĝi ne signifas, ke ĝi estas la ĝusta farendaĵo. Ne ĉiuj distriktoj malkunpremas "inteligente", iuj devas aldoni pli da parametroj.

        1.    kuraĝo diris

          Viro, ne estas mia kulpo, ke ekzistas subnormalaj distroj hahahaha

          1.    taŭga diris

            KISO viro ... KISO

          2.    kuraĝo diris

            Viro, KISO ne estas malsaĝulo, vi jam scias tion kun Slackware hahahaha

          3.    taŭga diris

            xD
            Tial mi diras tion al vi

            Simpla! = Easy.

  3.   Joj diris

    +1 por taŭga

    1.    Pepe diris

      Unu pli pugtruo ol la alia. Ĉi tiuj "geniuloj" estas ekster temo.

  4.   Lithos 523 diris

    Se vi ŝanĝas la "make install" al "checkinstall" (vi povas instali ĝin per aptitude, ĝi estas en la deponejoj) ĝi instalos la programon, sed ankaŭ:
    -Krei .deb por povi instali ĝin en estontaj okazoj
    -La instalita programo aperos en Synaptic, do vi povas facile malinstali ĝin de tie

    1.    kuraĝo diris

      Arkuzantoj havas ĝin implikita kun Aptitude ...

  5.   jelpasenger diris

    Pardonu mian nescion, sed ĉu la fremda programo solvas ĉiujn tiujn problemojn?

    1.    taŭga diris

      ne, ĉar eksterterano funkcias kun kompilitaj pakaĵoj kaj tar.gz aŭ tar.bz2 estas kunpremitaj dosieroj kun la fontkodo.

  6.   pandev92 diris

    Vi ne povas vere fari lernilon pri tio, plej ofte, almenaŭ la qt-pakoj estas kompilitaj per aliaj, eĉ pli strangaj manieroj.

    1.    hiperlove_x diris

      Ĝuste mi diros la samon.
      Tiuj, kiuj uzas qmake de Qt, estas pli-malpli tiel:


      cd CarpetaPrograma
      qmake
      make
      sudo make install

      Kaj mi aldonas alian kazon, kiuj estas la cmakes:


      cd CarpetaPrograma
      mkdir build
      cd build
      cmake ..
      make
      sudo make install

      Aŭ estas aliaj, kiuj nur devas lanĉi make && sudo make install.
      Tiuj estas la plej oftaj kazoj, sed ekzistas multaj pli da variantoj: s

      1.    mcder3 diris

        Iuj fojoj iuj aplikoj faritaj en QT ne alportas la makefile. Do estas tempo krei ilin per la sekva linio:

        qmake -fari dosieron

        salutoj

  7.   jelpasenger diris

    Ni vidu, ĉu mi klarigas, kiam mi devas uzi tar.gz aŭ tar.bz2, kion mi faras por generi .deb aŭ all.deb uzante alien estas meti sudo alien install + paka nomo. Ĉu tio ne samas kun kompili?

    1.    hiperlove_x diris

      Ne, kompili transformas la fontkodon de la programo en maŝinan kodon.
      Dum tio, kion vi faras kun eksterterano, estas repakado, kiu konvertas la pakaĵan formaton de unu distribuo al la paka formato de alia distribuo.
      Por simpligi ĝin, estas kvazaŭ vi havus dosieron kunpremitan en RAR kaj vi volus transdoni ĝin al ZIP, vi malkunpremus la dosieron en RAR kaj kunpremus ĝin denove en ZIP, tion faras eksterterano.

  8.   StuMx diris

    Kompilo estas farita en make, ne en agordi. La agorda dosiero estas skripto, kiu konfirmas, ke la sistemo plenumas ĉiujn dependecojn por kompili la programon, tiam ĝi generas la make-dosieron (kiu difinas kiel ĝi estos kompilita) laŭ nia sistemo.

    1.    kuraĝo diris

      Nun mi forigas ĝin, ĉar ĉi tiu artikolo jam estas longa tempo de kiam mi verkis ĝin en aprilo aŭ majo. Mi ne kontrolis ĝin preskaŭ forigante iun malbonan vorton nenion alian

  9.   jelpasenger diris

    Saluton:
    Mi pensas, ke mi ne tre bone klarigas min. Alien ne nur transformas rpm-pakaĵon en .deb, se vi prenas la fontkodon de programo, ĉu gz, ĉu bz2, ĝi transformas ĝin en meminstaleblan deb. Tial mia demando. Mi estis en Linukso dum mallonga tempo, toleru min.

  10.   marco diris

    pardonu mian nescion, sed ĉi tiuj paŝoj ankaŭ validas en Ĉakro, aŭ ĉu io ŝanĝiĝas ???

    1.    KZKG ^ Gaara diris

      Neniu viro 😀
      Tiel, ĉi tiuj paŝoj estas preskaŭ normo en ĉiuj distribuoj, sed ĝi ne estas 100% certa, ke ĉi tiuj ĈIAM estas la sekvindaj paŝoj. Tial mi rekomendas, ke vi ĉiam legu la instrukcian dosieron (README kutime) antaŭ ol fari ion ajn.

    2.    taŭga diris

      kiel diras @ KZKG ^ Gaara, ĉi tio ne ĉiam estas la kazo, ĝi estas normo, kiu funkcios por ĉiuj distribuoj, se la programo estas skribita en C / C ++

  11.   Karolo-Xfce diris

    Kiam mi denove trovos .tar.gz de tiuj, mi revenos al ĉi tiu artikolo. Kiel mi abomenas tiajn tiajn pakojn!

    1.    kuraĝo diris

      Diable, vi estas sufiĉe aĝa por instali ĉi tiujn pakojn HAHAHAHAHA

  12.   Vulkkapo diris

    Pardonu pro mia manko de scio, ĉi tiu instala metodo funkcias ankaŭ por Debian. Ĉar mi provas kaj provas kaj tio donas al mi eraron.

  13.   Laura Tejera diris

    Tial neniu uzas linux, fari ion stultan estas ruzo

    1.    vigla diris

      Kiel scivoleme, iuj el tiuj stultaj aferoj, kiujn vi mencias, la "superdotaj" uzantoj de Vindozo kaj OS X ne povas fari ilin aŭ timas ilin.

      1.    Laura Tejera diris

        la amuza afero estas kiel homoj kiel vi povas sekvi tiel fermitan OS.

        1.    KZKG ^ Gaara diris

          Ĉu vi evitis respondi la demandon? ... Ĉu Vindozaj uzantoj aŭ OS X-geniuloj povas fari tiom da aferoj per sia sistemo, kiom ni montras en ĉi tiu retejo? 🙂

          Cetere, vi uzas Ubuntu do ... pri kio ni parolas?

          1.    Laura Tejera diris

            daŭrigu la mezbonan manikon

            1.    KZKG ^ Gaara diris

              Ĉu ni estas meznivelaj? ... Uff ... LOL!


      2.    Pepe diris

        Ni estas en la jaro 2015!
        Mi pensas, ke ne necesas perdi tiom da tempo studante por labori de la konzolo.
        Kial ne uzi aŭtomatigitajn programojn por ĉi tio?
        Ĉiukaze tiuj, kiuj "ŝatas" skribi la komandojn de la konzolo tie, lasu ilin plu fari ĝin, sed paralele necesus havi tiujn samajn aŭtomatigitajn komandojn. Mi ne petas vin sendi raketon al la luno.

    2.    Santiago Luis Bazan diris

      La kialoj de uzado de libera programaro estas morala etiko. Neniam permesu al iu ajn rifuzi siajn homajn liberecojn

      1.    Pepe diris

        La vero, ke la sanato de "libereco" en la programoj satigis min. Ĉu ili ne povus ĉesi laŭdi neekzistantan dion kaj esti iom pli humilaj?

    3.    Pepe diris

      Vi pravas Laura, ĉi tiuj uloj kun sia Linukso komplikas ĝin ĝisfunde. En put0-fenestroj aferoj estas pli facilaj. Mi ne malestimas Linukson sed ne povas esti, ke por instali iujn ajn pel0tudojn vi pasigas horojn kaj horojn esplorante kiel tar funkcias kaj la tutan meresundon, por ke fine de la tago vi restu ligita kun tiu "Linuksa komencanto ..."

      Mi intencas uzi stabilan operaciumon sed ne forpreni horojn de mia produktado, ĉar mi devas labori, mi ne volas fariĝi "Linuksa diplomito".

  14.   Thanatos diris

    Io ĉiam mankas ... kiam mi donas ./configure mi ricevas: configure: error: Via intltool estas tro malnova. Vi bezonas intltool 0.35.0 aŭ posta.

    Poste la instrukcio make revenas: Neniu celo estis specifita kaj neniu makefile estis trovita. Alta.

    make install: Ne ekzistas regulo por krei la `install-celon

    Mi estas novulo kaj estas bone esplori por lerni, sed FIKU, ĉu vi ne povas klarigi ĝin per koloraj ŝtonetoj por tiuj el ni, kiuj novas pri Linukso?

    1.    ponchu diris

      Thanatos Mi havis similan problemon kaj mi dividas mian rezulton:
      (Unue por klarigi, ke mi ankaŭ estas neofito en la Linukso-mondo kaj miaj aventuroj en ĉi tiu kunteksto kun "gusto" (distro) al Ubuntu estas unu semajno).
      Supozante, ke ĝi eniras mian dosierujon «Elŝutoj» kun la komando «cd», kie troviĝis mia pako de la programo «SoulSeek» kun finaĵo «.tgz» en la fina stacio aŭ konzolo:
      "./Configure" donis al mi eraron, ke la dosiero aŭ dosierujo ne ekzistis
      "Make" ĵetis la saman eraron kiel vi ... do mi ne daŭrigis per la komando "sudo make install" (sudo estas ĉar Ubuntu postulas "Super Uzanto kaj lia pasvorto" por lanĉi ĉi tiun komandon, alivorte faru instaladon) .
      Esplorante la antaŭe malĉifritan dosieron, mi rimarkis ion, kio povas okazi al vi, kaj tio estas, ke la malŝarĝita dosiero estis de la tipo "plenumebla dosiero" (dekstraj klakaj ecoj) kaj necesis 2 klakoj por efektivigi ĝin.
      Via problemo en «./configure» povas esti solvita per ĝisdatigo de la pakaĵoj aŭ deponejoj (ĉi tiuj terminoj iom konfuzas min) instalitaj en via Distro, ĉar ĝi diras al vi, ke «intItooI» estas malnova kaj vi bezonas pli novan kaj mi pensu, ke eble ĉi tiu pakaĵo estas tiu, kiu kompilas en via distro. En Ubuntu vi faras ĝin en la sama fina stacio tajpante "sudo apt-get update" kaj ĝisdatigas ĉiujn pakaĵojn en la sistemo.
      Mi esperas, ke mi helpis.

    2.    Pepe diris

      Kiel mi diris al Laura, ĉi tiu Linuksa afero daŭras longe. Ĝi donis al mi la saman erarmesaĝon kiel via kaj mi estas kiel la fantomo de Canterville de unu loko al alia kaj tute nenio.

      Mia estro diris al mi: "Vi havas 2 tagojn por trovi la solvon, alie, ni reiras al fenestroj."

  15.   Jonatan diris

    danke

  16.   ivan diris

    saluton mi havas la saman problemon, kiun mi volas instali skype 4.0. sur mia pclinuxOS, mi elŝutis la tar, gz2 kaj malkunpremis kaj ĝis tie mi akiris, kiam mi faras ./configure ĝi diras al mi, ke la dosiero ne ekzistas .. kie mi perdis aŭ kio? diru al mi, ke en pclinuxOS (la lasta eldonita versio) skype estas instalita sed ĝi estas versio 2.2 kaj mi volas instali 4,
    Ĉu mi devas fari trukon por finfine instali ĉi tion? io en sinaptaĵo, kiun mi ne scias ???
    Mi estas nova en ĉi tiu sistemo, mi provis aliajn distrojn antaŭe kaj ĝis nun ĉio bonas krom ĉi tio.

    salutojn

    1.    Pepe diris

      Ĉu mi aŭ mi pensas, ke neniu scias ĉi tiujn demandojn.

    2.    f7eo diris

      Saluton, pasis longa tempo de via demando.

      Mi rekomendas al vi elŝuti la plej novan version de Skype por Vindozo (R)
      kaj ke vi uzas Wine por funkciigi ĝin per via GNU-Linukso-distro.

  17.   sed diris

    Saluton! Mi havas la saman problemon: mi elŝutis la plej novan version de la centra programaro kun pligrandigo tar.gz kaj kiam mi alvenis al la ekzemplo "./configure", mi ricevis eraron, same kiel en "make". KIO ESTAS TIO"?? DANKON!! Krom la programaro centro blokis la eblon instali !!!

  18.   Karolo Rivera lokokupilo diris

    Dankon, ĝi multe helpis min !!!!

  19.   michael diris

    kiel krei lanĉilon

  20.   Angi diris

    Unu demando, ĉu vi povas kontroli la dependecojn de tar.gz-dosiero antaŭ ol lanĉi la ./configure ???

  21.   Jose Luis diris

    Mi estas nova en linux, ŝajnas tre malfacile instali la tar gz gz2-tablojdojn kaj se mi ricevas deb-on mankas dependecoj kaj kun la rpm same se ĝi estas i586 aŭ i686 aŭ i386 kaj la plej malbona afero estas, ke mi ne havas interreto hejme. Vidi tiom da komento kontraŭdiri unu konfuzas vin pli malbone.

  22.   gabriel yamamoto diris

    bona informo, sed iuj pakaĵoj * .tar.bz2 jam estas kompilitaj kaj por instali ilin vi nur devas malzipigi ilin en iu ajn dosierujo (prefere / elekti por ke ĝi estu disponebla al ĉiuj uzantoj) kaj fari rektan aliron al la duuma en / usr / loka / bin

  23.   Gonzalo diris

    Tre bona klarigo pri kiel uzi tar.gz-dosierojn. Koran dankon pro la informo. Saluton al la tuta teamo

  24.   juancuyo diris

    Ĝi ne funkcias por mi
    cd / home / ju / downloads / icecat-24.0 ——-> Respondas al mi
    bash: cd: home / ju / downloads / icecat-24.0: dosiero aŭ dosierujo ne ekzistas
    kion mi faras malbone ??? La operaciumo estas Voyager 14.04 LTS (xubuntu) Xfce labortablo Gdebi ne estas en la enhava menuo kaj ankaŭ ne estas sinaptaj sed ili estas en la komenca menuo, eĉ se vi malfermas ilin, ili ne rekonas la dosierujojn, estas kvazaŭ ili faris ne ekzistas. Mi malzipigis ĝin en la sama elŝuta dosierujo. Ĉu ĝi estas malĝuste malzipita ????

  25.   Klaŭdo diris

    Ĉi tiu lernilo ankaŭ funkcias por .tgz?

    1.    joakoej diris

      Ne, la .tgz estas la formato, kiun uzas Slackware kaj ili jam estas kompilitaj, ĉu vi elŝutis ĝin aŭ kompilis ĝin de slackbuild

    2.    joakoej diris

      Por instali ĝin vi devas uzi installpkg "paka nomo".

  26.   asdf diris

    Pardonu, sed ĝi ne multe solvas la problemon por mi, kiam vi diras ./configure kaj ni agordas ĝin, vi devas specifi pli, ĉu ne? se mi simple metas ./configure ĝi diras al mi
    bash: ./configure: Dosiero aŭ dosierujo ne ekzistas

    tiam vi diras "ni ja faras"
    Kodo:
    fari
    Mia rezulto:
    make: *** Neniu celo specifita kaj neniu makefile trovita. Alta.

    Instalu
    make: *** Ne ekzistas regulo por krei la celon "instali". Alta.

    Kaj tiam vi diras "ni funkciigas la programon"
    Kodo:
    Programnomo

    Kiel mi scias, kiu estas la nomo aŭ kiu estas plenumebla? Ĝi estas tre abstrakta, eble vi konsideras plurajn aferojn, kiujn vi scios, sed tiuj, kiuj venas al lernilo, eble ne scias

    1.    Damian diris

      asdf.

      Mi esploris kaj la eraro, kiu aperas donante ./configure, estas pro la manko de la kompila programo (kiel ni povus kompili sen havi programon, kiu faras ĝin?). la komando por instali kompililon por eniri estas:

      sudo aptitude install build-essential

      Unufoje instalita, ni iras al la dosierujo, kie estas la malkunpremita dosiero, kaj ekzekutas:

      tar -zxvf nomo_programo.tar.gz

      Tiam ni ENIGAS la malŝarĝitan programan dosierujon, kaj se tie ni ekzekutas ./configure kaj tiam sudo make install

      Mi esperas, ke mi helpis!

      Salutojn.

      1.    Damian diris

        Pardonu, mi forgesis klarigi, en mia kazo por plenumi la programon "make" kaj "sudo apt-get install" mi devis eniri la dosierujon "baza" ene de la malŝarĝita dosierujo, ĝuste tie mi prenis la komandojn por kompili (make ) kaj la instalado.

      2.    Carlos diris

        Ĝi donas al mi problemojn, kiam mi uzas make it diras, ke ĝi ne trovas ion konstruindan

  27.   brenda diris

    Pardonu, ke mi havas ĉi tiun problemon, mi uzas ĉi tiun komandon, ĝi montras al mi eraron kaj mi ne povas krei la makefile
    labortablo: ~ / Elŝutoj $ tar -jxvf iReport-4.1.3.tar.bz2
    tar (infano): iReport-4.1.3.tar.bz2: Ne povas malfermiĝi: Dosiero aŭ dosierujo ne ekzistas
    tar (infano): Eraro ne estas retrovebla: elirante nun
    tar: Infano redonis staton 2
    tar: Eraro ne estas retrovebla: elirante nun
    bonvolu =)

  28.   Aaron diris

    Bonan tagon amikoj,
    Mi estas nova en linukso, tamen mi havis iomete da ĝeno kiam temas pri agnosko de aparato, kiu estas cifereca biometrika leganto, mi simple serĉis kaj ŝajne trovis ĝin, tamen ĝi elŝutis kun .tar.gz-etendaĵo, provu Malzipigu ĝin en dosierujo, pluraj dosieroj estis malzipitaj, sed mi ne scias, ĉu post tio mi devas ekzekuti ion alian aŭ almeti tiujn malzipitajn dosierojn en dosierujo de la sistemo, mi ne scias, se vi helpos min, bonvolu, bone funkciigi la procezon, estus tre dankema, mi havas linux Debian 7. instalitan en mastruma sistemo. Saluton kaj koran dankon.

  29.   Rufo Lopez Retortillo diris

    Mi uzas ambaŭ Linex 2011 kaj Linex 2013 kaj la plej granda problemo, kiun mi trovas dum instalado de aplikoj, estas, ke ili ne estas ŝarĝitaj en la listo de aplikoj en sia grupo (grafikaĵoj, oficejo, plurmedio, ktp.) Kaj se mi volas krei lanĉilon, mi ne scias, kien mi devas iri por trovi la aplikaĵan dosieron. En kiu dosierujo vi kreas ĝin? Kiel fari ĝin?
    Kiam ili estas instalitaj de la deponejoj, la lanĉiloj estas metitaj en sian grupon, ĉu tio povas esti farita instalante la, tar.gz kiel priskribite en ĉi tiu retejo?
    Gracias por la helpo

  30.   Carlos diris

    Bonvolu helpi, ke mi havas alian operaciumon nomatan lps 1.5.5 kaj mi ne povas ĝisdatigi la programon

  31.   Carlos diris

    Bonvolu diri al vi denove, ke mi ne povas malzipigi tar.bz2-dosieron. Mi havas operaciumon nomatan lps 1.5.5 kaj mi ne scias kiel uzi ĝin. Bonvolu helpi min.

  32.   joskastelo diris

    post malpakado de la bz2-dosiero, la komando ./configure NE funkcias ĉar ĝi NE ekzistas

    1.    joskastelo diris

      Mi havas Ubuntu 14.04LTS

  33.   vi scias diris

    Mi ne komprenas ĝin, en slax la .tar.gz iras al kino, sed en ubuntu mi ne havas manieron kompili

  34.   Raul diris

    Kio estas la plej bona OS? la plej bona OS estas, ke ĝi solvas viajn problemojn.

  35.   Juanzito diris

    Linukso-homoj mirigas. Mi provas instali ZinjaI sur mia nove instalita LinuxMint-distro almenaŭ 5 horojn.
    Mi promenas tra ĉiuj forumoj, kiujn mi trovas kaj en ĉiuj (sed ĉiuj, inkluzive ĉi tiun), ili donas al vi duonon de la informoj.
    Ekzemple, mi jam malfermis la terminalon, sed mi ne povas meti la adreson, kie troviĝas la elŝutita dosiero (kiu estas / home / user / Downloads / zinjai).
    Mi nur ricevas eraron: "bash: cd: user: Ne ekzistas tia dosiero aŭ dosierujo.
    Mi komprenas, ke ili volas disvastigi kaj disvastigi la uzon de operaciumo, sed, rifuzante informojn aŭ klarigante ĉion en duonaj mezuroj, la sola afero, kiun ili atingos, estas tio, uzantoj kiel mi, kiuj havis la firman intencon transiri de Vindozo al Linukso, rezignu kaj restu kun mia W7, malbona sed utila kaj regebla.

    Saluton ...

    PS: Kion kostis al ili mizera instalilo kun grafika interfaco? Kial hodiaŭ en la XNUMXa jarcento, ĉu ili daŭre uzu ion similan al DOS por instali mizeran programeton? Knaboj ... por vidi ĉu ili iom vivas ...

    1.    Ocelot diris

      cd ~ / Elŝutoj / instalada skripta vojo.

      Unu konsilo: bastono kun fenestroj. Ĉiu operaciumo estas farita por unu speco de persono. Vindozo estas farita por homoj, kiuj preferas ricevi ĉion bazitan kaj kun la malplej ebla peno kaj mi vidas, ke estas via kazo. Estas homoj, kiuj ne povas aŭ ne volas aspiri ion pli ol sekva, sekva, sekva ... akcepti. Tio ne malbonas, ni simple devas scii niajn limojn kaj adaptiĝi al ili.

      Alia konsilo: Se vi nur scius, kiom da aferoj estas atingataj per humileco kaj uzante du vortojn kiel "bonvolu". Ĝi surprizus vin. Faru ĝin ofte.

      1.    Knary diris

        Saluton Linuxeros.
        Koran dankon pro la lernilo, ĝi helpis min instali la pelilojn por la wifi-adaptilo dwa-131.
        Mi havas iom da dubo, mi faris ĉion kiel oni diras supre.
        Iru al la dosiera vojo, faru tar .... kaj tiam Faru, atendu ke ĝi finiĝu kaj poste faru instaladon.
        Ĝis tiu paŝo, ĝi ne donis al mi erarojn.
        Mi havas la demandon scii ĉu mi jam instalis la pelilojn aŭ ĉu mi devas fari ion alian.
        Juanzito .. kuraĝigu kaj donu ŝancon al Linukso, kia ajn estu la distribuo, mi decidis forlasi Windows 7 antaŭ semajno kaj mi estas pli perdita ol diable, hahaha, sed legante tie kaj tie vi trovas informojn, kiuj estas kelkfoje malfacilaj por vi. komprenu, ĉio dependas de la peno de ĉiu voli lerni kaj eliri el la monopolo, kie Vindozo enigas vin (estas mia opinio).
        Unu afero ... ĉe la linuksa terminalo, majuskloj kalkulas. 😉

        PS: Mi devas fari ion alian post instalado de Kame. ??

        Multan dankon
        Koran dankon kaj salutojn de Kanarioj.

      2.    Arkoj diris

        Kaj kiu vi estas por diri al uzanto reveni al X-sistemo? Ĉu vi pensas, ke Rikardo stalas?

        Mi konsentas, kion ili diras en iuj komentoj, ke la plej bona mastruma sistemo estas tiu, kiun la sistemo adaptas al la uzanto kaj NE inverse.

        Mi persone amas Vindozon .exe ĉar kiel vi diras, vi ne bezonas esti komputila geniulo por instali ion tre simplan kiel simplan notblokon; kompare ĉi tie en linukso, ke se ĝi ne estas en la dediĉitaj programaj programoj, vi restos ĉe la enmiksita jarcento kun tablojdo.

        Mi alvenis ĉi tien serĉante kaj organizante informojn por instali programojn en Linukso, ĉar mi preparas instali la monfarejon sur produktiva maŝino kaj mi scias, ke se mi ne preparos, mi ne povos instali ion ajn, se ĝi ne estas en la deponejoj.

        Nun la "bonvolu" ĉiuj demandas la problemon, ke neniu respondas al ili, tial kelkfoje homoj devas esti agresemaj do ne diru sensencaĵojn.

      3.    Pablo diris

        pardonu .. sed mi ĉiam defendis la uzon de libera kaj malferma programaro .. Mi uzas komputilojn de 30 jaroj .. kaj mi estas 37 ..
        la problemo estas, ke ĝenerale en linukso estas perfekte, ke kiu volas aŭ devas "scii" iom pli pri io simpla kiel instali programon, ĝisdatigon aŭ kio ajn ... la problemo venas, ke multaj homoj bezonas labori kaj uzi la komputilo (kun iu ajn OS) por fari sian specifan laboran taskon .. do eĉ se necesas 10 minutoj por elŝuti .gz kaj instali ĝin .. aŭ se kiel plej okazas horoj pasos .. ili estas minutoj aŭ horoj de ne povo faru vian laboron kaj tie preskaŭ ĉiuj mankas paciencon ..
        en mia kazo .. ĉe la laboro mi uzas nur Ubuntu, kiu estas instalita defaŭlte sur komputiloj, ĉar ĝi estas scienca centro, sed tio igas min pasigi pli da horoj provante instali aŭ eĉ malimpliki kiel fari soft-specifaĵon (ekzemple Mi estas geografo) ĝi funkcias .. aŭ ke post iu ĝisdatigo de ĝi .. reakiru ĉiujn ilojn ĉar duono ĉesas funkcii ene de programo ..
        en ĉi tiu specifa kazo .. mi bezonis vidi retejon / forumon funkcianta .. kaj ĉar ili uzas java mi maltrafas la signon ke mi devas ĝisdatigi ĝin .. bone .. iru al la java retejo .. trovu la dosieron por mia mastruma sistemo , 14.04 .. rigardu la elŝutajn kaj instalajn "" instrukciojn "" .. elŝutu .gz kaj de tie plu .. malzipu .. bone, kaj ... ĝi diras "instali" .. kaj voila .. nur nenio povus finiĝu per la informo de ĉi tiu afiŝo .. kion mi faru post kiam mi malzipas la «jre-blablabla de la tuta vivo.gz» ??

  36.   Carlos Fabian Ferra diris

    ĉi tio neniam funkciis por mi en iu ajn distro

    1.    yukiteru diris

      Se ĝi ne funkciis por vi, ĝi estas pura Tavolo 8.

      1.    Jank Karlo diris

        Geniulo!

  37.   Ignatius Navarro diris

    Kiel mi uzas ĝin tre foje, ĉiufoje mi eniras ĉi tien por vidi kiel ĝi fariĝas.
    Mi tre dankas vin, ke vi verkis ĝin kaj ke vi ne forigis ĝin post tiom da tempo.

  38.   Ramon diris

    kiel vi povas vidi en sinapta la nova pako instalita, se ĝi montras al vi la plej malnovan (stabilan laŭ la distro) ¿?

  39.   Georgo diris

    ĉio meritas alveninte al la ./configure estas neniu, kiu bone klarigas, kiam ĝi diras, ke la dosiero ne ekzistas.

    1.    Elvis diris

      Mi provas instali wifi de broadcom nek ./configure, nek fari nek igi instaladon funkcii.

      la logika sinsekvo estas la unua ekzekuti ./configure sed ŝajne ĉi tiu instrukcio nur rilatas al agordi dosierujon kaj ekzekuti iun dosieron metitan tie, ĉi tio devas eniri la pakaĵon elŝutitan de broadcom sed en mia kazo ĉi tiu dosierujo ne estas, ĝi estas supozata plenumi agordi estas kontrolo kaj kreo de la dosiero Makefile, sed kiam malzipas la pakaĵon, mi konstatas, ke Makefile estas enkorpigita, la aliaj du komandoj make kaj make install ne funkcias por mi, ĝi estus ĉar la plej nova versio de elementa os ja funkcias. ne subtenu ĝin freya surbaze de Ubuntu 1

    2.    Aleksandro TorMar diris

      La vero? Ĉi tiu metodo neniam funkciis por mi kaj mi ĉiam elektas .deb-pakaĵojn aŭ komandojn de la Terminalo ... Domaĝe, ke estas nenio klara por instali .tar.gz

  40.   Elvis diris

    Mi provas instali wifi de broadcom nek ./configure, nek fari nek igi instaladon funkcii.

    la logika sinsekvo estas la unua ekzekuti ./configure sed ŝajne ĉi tiu instrukcio nur rilatas al agordi dosierujon kaj ekzekuti iun dosieron metitan tie, ĉi tio devas eniri la pakaĵon elŝutitan de broadcom sed en mia kazo ĉi tiu dosierujo ne estas, ĝi estas supozata plenumi agordi estas kontrolo kaj kreo de la dosiero Makefile, sed kiam malzipas la pakaĵon, mi konstatas, ke Makefile estas enkorpigita, la aliaj du komandoj make kaj make install ne funkcias por mi, ĝi estus ĉar la plej nova versio de elementa os ja funkcias. ne subtenu ĝin freya surbaze de Ubuntu 1

  41.   Aleksandro TorMar diris

    La vero? Ĉi tiu metodo neniam helpis min kaj mi ĉiam elektas .deb-pakaĵojn aŭ komandojn de la Terminalo ... Domaĝe, ke estas nenio klara por instali .tar.gz

  42.   Aleksandro TorMar diris

    Kial ĉi tiu lernilo ne estas ĝisdatigita? Aŭ ĉu ili faras novan?
    Ĉiuj ĉi tie plendas, ke ĝi ne servis ilin kaj ĝi jam havas siajn jarojn ...

  43.   HECTOR MATOS diris

    Saluton, mi volas helpon, kun tio por instali pakojn .. Mi havas Ubuntu-version 15 .. ion .. Mi volas instali Adobe Flash Plugin, ĉar tre utilas instali ĝin, ĉar kun Adobe Flash mi povas eniri iujn retpaĝojn, kie vi povas vidi la Televidilo kaj ankaŭ aŭskultu la radion .. bonvolu ĉu vi povas sendi al mi paŝon post lernilo .. Mi ne havas multan sperton pri komandlinio, tio estas uzi terminalon.

    Helpu..dankon

  44.   Abraham diris

    Saluton al ĉiuj !!! Leginte preskaŭ ĉiujn komentojn, mi serĉis linuksan manlibron kaj jen.
    Amiko OCELOTE, akceptu ĉi tiun kritikon, laŭ mia humila kaj sensignifa vidpunkto, kiun mi dividas kun milionoj da Vindozaj uzantoj:

    Mi ŝatus ŝanĝi al linux! sed multaj el ni trovas ĝin neebla, kial? vi demandas vin ... ĉar por mi la komputilo estas la rimedo, kiun mi devas fari mian laboron, ĝi ne estas la fino ... Mi ne scias, ĉu vi komprenas, kion ni ĉiuj volas (kaj JUANZITO bone diris al vi) estas stabila operaciumo, ke por plenumi nian laboron, mi ne havas tempon lerni kiel fari bazajn aferojn kiel instali programon de la konzolo, ĉio estu pli intuicia kaj pli facila ... Kiel komercisto mi diros al vi, ke la mastrumado, kiun vi portas kun Linukso, estas katastrofa, anstataŭ helpi la homojn fari la ŝanĝon de operaciumo, vi insistas, ke homoj kuŝas kun aferoj, kiuj ne interesas ilin, kaj vi mem blokas la ŝanĝon ... Tiu, kiu programis en asemblero, java, ĝavaskripto. , html, php kaj xbase diras al vi tiel ... kaj ĝi tuŝas mian nazon devante malfermi la konzolon por preskaŭ ĉio.

    Salutoj

  45.   defcon diris

    Eltenemo DOS 6.22 aĝa !!

  46.   erputi diris

    Metu vin al studo kaj forlasu tiun fekon de ŭuendos, kiu funkcias por iuj, ĉar ili faras la ŝovon kiel ŝlosilojn, ili ne pagas ilin, por superi ĉion, tiuj, kiuj kreis tiujn ŝlosilojn, estas la linuksaj geniuloj kaj ili devas, tial Vi similas al stultuloj diskuti pri mamahuevadaj, al la komercistoj, kiujn mi diras al ili, daŭre pagas sian permesilon kaj se tio, kion ili volas, estas stalo, ili gajnas tempon, kion diable ili skribas idiotoj en ĉi tiuj tutoj, tio estas por tiuj el ni, kiuj ŝatas linuksajn idiotojn ... la aso

  47.   GENDA diris

    Ĝi ne estas tre klara por novuloj. Ekzemple vi diras:
    «Unue ni iras al la dosierujo, kie ni havas la dosieron, se la dosierujo havas plurajn vortojn, ni devas meti ilin per" "aŭ se ĝi ne serĉas dosierujojn kun ĉiu vorto» ...
    Ĉiu uzanto eniros ĉi tiujn dosierujojn per la «esplorilo», kaj renomos ĝin sen scii la nomon de la dosierujo, kiu enhavas ĝin per citiloj. Tio laŭ la vidpunkto, ke vi legis ĝin, «laŭ la vidpunkto de la novula uzanto.

    Tiam vi metas:
    cd-dosierujo, kie estas la dosiero

    cd "dosierujo, kie estas la dosiero"
    De tiu punkto, la uzanto jam iris al la nuboj aŭ kien ajn, ĉar de nun li perdiĝas en la kompaktdisko kun la siglo, vi ne klarigas kiel vi alvenas tien, paŝon post paŝo, komencante per ĉio, kio ... unue malfermas la konzolon.

  48.   GENDA diris

    Por HECTOR MATOS: La adoba kromaĵo, java kaj aliaj ne bezonas esti faritaj permane, vi nur devas esti konektita al la interreto dum kelka tempo, kaj en la ĝisdatiga administrilo ĝi aperos aŭtomate, de tie ĝi estos aŭtomate ĝisdatigita. , por Fajrovulpo al Opera, kaj la resto sendepende ... normale la lanĉilo estas apud la horloĝo en la komenca trinkejo, en pluraj distribuoj mi vidis, ke defaŭlte ĝi estis tie, mi ne scias, ĉu ĝi estos tiel en ĉiuj ili.

  49.   maks diris

    Bonvolu esti pli eksplicita, multaj informoj mankas

  50.   mary diris

    provu ĝisdatigi python al 3.x kaj fari make install post finiĝo diras al mi, ke estas eraro:
    zipimport.zipimporterror ne povas malkunpremi datumojn zlib ne haveblan fari *** instalan eraron

  51.   f_leonar diris

    Post malzipado por kuri ./configure necesas eniri la malzipitan dosierujon, alie ĝi ne funkcias. Mi uzas KDE kaj mi grafike eniris la dosierujon, kiun mi malzipigis kaj tie mi malfermis terminalon por ekzekuti "make" sed ĝi ne funkcias ...

  52.   anonima diris

    Mi havas demandon, mi ricevas ĉi tion:
    manolo @ mxlolo-satellite-c655d: ~ / Desktop $ ./configure –help
    bash: ./configure: Ne ekzistas tia dosiero aŭ dosierujo
    kion mi faras…?

  53.   KATSODA diris

    Bone ĝis la ./konfiguracio de la pilkoj aperis.
    KION VI SIGNIFAS PER TIO!? Ili ne klarigas ĝin, mi nur volas instali la duan fikan vivon xddd
    «»»katsoda@katsoda-PC:~/Downloads$ ‘/home/katsoda/Downloads/Second_Life_5_0_4_325124_i686’/configure
    bash: / home / katsoda / Elŝutoj / Second_Life_5_0_4_325124_i686 / configure: Dosiero aŭ adresaro ne ekzistas »» »
    Mi pli bone elŝutas Vindozon 10 kaj prenas la azenon. (?)
    Nu, ne. Sed ĉi tio estas unu el la aferoj, kiujn mi malamas pri Linukso. Instali kaj preĝi, ke viaj plej ŝatataj programoj kongruu ĉi tie, estas sufiĉe defio.

    1.    gatoo_ diris

      Ne ĝenas, sinjoroj, sed la kreinto de la lernilo klarigas perfekte kion fari se vi ricevas eraron kun ./configure. Vi nur devas legi la reston de la lernilo (kiu estas 4 linioj).

      Mi trovas nekredebla, ke tiom multaj homoj plendas, ke ĝi ne klarigas aferojn, kiam vi eĉ ne haltis legi.

  54.   Viernes diris

    Nu, mi oficiale deklaras min nekompetenta por ĉi tiu tipo de dosieroj. Mi provas instali java kaj jen kio ĝi estas;
    javier @ loft: ~ / JAVA / jre1.8.0_151 $ tar -zxvf jre-8u151-linux-x64.tar.gz
    tar (infano): jre-8u151-linux-x64.tar.gz: Ne eblas malfermi: Dosiero aŭ dosierujo ne ekzistas
    tar (infano): Eraro ne estas retrovebla: elirante nun
    tar: Infano redonis staton 2
    tar: Eraro ne estas retrovebla: elirante nun

  55.   Roger deku diris

    en linux ubuntu 18.04.01 lts vi nur devas tajpi ./name de la programo en la saman dosierujon post malzipado de ĝi kaj voila !!!

  56.   jia diris

    Tre bone, ĝi estis tre helpema.

  57.   Emerson Goncalez diris

    en av linux tio ne funkcias
    Mi ne scias, kio estas por mi stranga; aŭ ĉiufoje, kiam vi instalas distron, vi komencas la vojon de la kruco
    vi vidas kiel funkcias la klavaro

  58.   Jose Felix Paisano Morales diris

    Saluton al ĉiuj, mi uzas Ubunto 20 kaj mi konsultis ĉi tiun paĝon por instali la skanilon de Epson L4150 (mi elŝutis la diskojn de http://support.epson.net/linux/en/imagescanv3.php?version=1.3.38#ubuntu).
    Mi sekvis la paŝojn kaj uzis 'tar -zxvf filename.tar.gz', kiam malŝipigi mi uzis
    '$ cd imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb', kiu estas la dosierujo kreita.
    En la dosierujo, kiun mi uzis './install.sh', kio estas kiel uzi './configure', la sistemo petis min pri mia pasvorto kaj ĉio instalita bone.
    Mi provis mian skanilon kaj ĝi bonegis, dankon pro doni al mi la direktojn, mi povis uzi mian skanilon